
// * Створіть функцію, яка не отримує жодних аргументів
// * він лише запитає користувача, які страви він воліє їсти на сніданок.
// * Користувач може одночасно вводити лише одну страву, тому вам потрібно запитати його, поки він не введе «кінець».
// * Кожну страву потрібно розмістити в масиві.
// * Повернене значення: масив з усіма стравами.


// function name() {
//   const array = [];
//   let a = prompt("Що ви хочете їсти?");
//   while (a !== "end") {
//     array.push(a);
//     a = prompt("Що ви хочете їсти?");
//   }

//   return array;
// }
// let array = name(array);

// name();
// console.log(array);

// function breakfastForUser() {
//   let dish = prompt(
//     "введите блюдо, если хотите закончить заказ - напишите end"
//   );
//   let breakfast = [];

//   while (dish !== "end") {
//     breakfast.push(dish);
//     dish = prompt("введите блюдо, если хотите закончить заказ - напишите end");
//   }
//   return breakfast;
// }

// console.log(breakfastForUser());

// * Створіть функцію, яка буде брати один аргумент - масив з результату попереднього завдання.
// * Завдання полягає в тому, щоб показати кожну страву з масиву в консолі та видалити її з вихідного масиву.
// * Після того, як усі страви будуть показані на консолі, масив повинен бути порожнім.

// const getBreakfastUser = () => {
//   let breakfast = [];
//   let dish = prompt("Что будете на завтрак?");

//   while (dish !== "end") {
//     breakfast.push(dish);
//     dish = prompt("Что будете на завтрак?");
//   }

//   return breakfast;
// };

// function cleanArray(srcArray) {
//   const length = srcArray.length;

//   for (let i = 0; i < length; i++) {
//     console.log(srcArray.pop());
//   }

//   console.log(srcArray);
// }

// cleanArray(getBreakfastUser());


// * Створіть функцію, яка отримає масив як єдиний аргумент.
// * повертається значення: новий масив, який є точною копією вихідного.
// * Завдання потрібно виконувати за допомогою: for, map (), оператора розповсюдження. Це означає три реалізації.








    
